GNU bug report logs - #17688
24.3.90; segmentation fault in deselect_palette

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Zdzislaw Meglicki <gustav@HIDDEN>; merged with #18659; dated Wed, 4 Jun 2014 15:39:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 17688 18659. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 18:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 14:29:28 2014
Received: from localhost ([127.0.0.1]:46091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WscPk-0008FU-4Y
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:29:27 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:33237)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WscPe-0008F5-Px
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:29:22 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N6P00700K8C0200@HIDDEN> for 17688 <at> debbugs.gnu.org;
 Thu, 05 Jun 2014 21:29:12 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6P006ZLKONZS10@HIDDEN>;
 Thu, 05 Jun 2014 21:29:12 +0300 (IDT)
Date: Thu, 05 Jun 2014 21:29:01 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <53909604.1090306@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ken Brown <kbrown@HIDDEN>
Message-id: <831tv35hxu.fsf@HIDDEN>
References: <7z1tv4vik0.fsf@HIDDEN> <83ioog7jk5.fsf@HIDDEN>
 <53909604.1090306@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: gustav@HIDDEN, 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 05 Jun 2014 12:08:36 -0400
> From: Ken Brown <kbrown@HIDDEN>
> CC: 17688 <at> debbugs.gnu.org
> 
> On 6/4/2014 11:58 AM, Eli Zaretskii wrote:
> >> (gdb) bt full
> >> #0  0x0000000100631d84 in deselect_palette (f=0x0, hdc=0x0)
> >>      at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:123
> >> No locals.
> >> #1  0x0000000100631e53 in release_frame_dc (f=0x0, hdc=0x0)
> >>      at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:154
> >>          ret = 0
> >> #2  0x00000001006351f9 in uniscribe_encode_char (
> >>      font=0x101071d30 <bss_sbrk_buffer+6928560>, c=76)
> >>      at /usr/src/debug/emacs-24.3.90-1/src/w32uniscribe.c:585
> >>          context = 0x0
> >>          f = 0x0
> >>          old_font = 0x0
> >>          code = 15
> >>          ch = L"LC"
> >>          len = 1
> >>          items = 0x436980
> >>          nitems = 1
> >>          uniscribe_font = 0x101071d30 <bss_sbrk_buffer+6928560>
> >
> > This backtrace makes no sense: uniscribe_encode_char calls
> > release_frame_dc only if the variable 'context' has a non-NULL value
> > (and then 'f' should also be non-NULL).  But here we see that
> > release_frame_dc is called by uniscribe_encode_char when both
> > 'context' and 'f' are NULL, which cannot happen.  I was about to say
> > that this could be due to compiler optimizations that screw up the
> > backtrace, but then I saw that your Emacs binary was built with -O0.
> > So now I'm stumped how could this happen at all.
> 
> That's been the problem for several months.  People have reported 
> several crashes of the Cygwin-w32 build, always on 64-bit Cygwin, with 
> backtraces that "can't happen".  Can you think of any way to try to 
> track this down?

Tracking this might be hard, unless crashes with the same bogus
backtrace happen fairly frequently.

One thing that strikes me is that I see bss_sbrk_buffer in many places
in the backtrace.  Could it be that the static heap is too small, or
maybe some malloc/free/realloc call for addresses in the static heap
go haywire?

Don't forget the WFSO error message reported by Zdzislaw.  If some
other thread (evidently, from the Cygwin DLL) fails in some way, it
could indeed zero out some memory and cause these "impossible"
backtraces.  So I suggest to ask the Cygwin maintainers to investigate
these messages.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 18:15:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 14:15:30 2014
Received: from localhost ([127.0.0.1]:46082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WscCD-0007lk-V4
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:15:30 -0400
Received: from mtaout26.012.net.il ([80.179.55.182]:52268)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WscC8-0007lB-7Z
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:15:24 -0400
Received: from conversion-daemon.mtaout26.012.net.il by mtaout26.012.net.il
 (HyperSendmail v2007.08) id <0N6P00M00J812700@HIDDEN> for
 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 21:11:48 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout26.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6P00FTKJVOD390@HIDDEN>; Thu, 05 Jun 2014 21:11:48 +0300 (IDT)
Date: Thu, 05 Jun 2014 21:15:03 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <7zy4xb5la4.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Zdzislaw Meglicki <gustav@HIDDEN>
Message-id: <8338fj5il4.fsf@HIDDEN>
References: <7zy4xb5la4.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Zdzislaw Meglicki <gustav@HIDDEN>
> Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
> Date: Thu, 05 Jun 2014 13:16:51 -0400
> 
> 
>    > People have reported several crashes of the Cygwin-w32 build,
>    > always on 64-bit Cygwin, with backtraces that "can't happen".
> 
> When you have this kind of event, in my experience, it points to the
> process memory being corrupted. Instead of finding what you expect to be
> there, there is something totally unexpected there altogether, something
> completely wrong and unexplainable by the logic of the program. This is
> because something else, possibly another process, has written its data
> onto it, or because your pointer has jumped into a wrong location,
> possibly beyond your system allocated memory buffer.

Unlikely, IMO.  The backtraces look too "tidy" for that, in the sense
that the line numbers stated in the backtraces indeed correspond to a
call to the function higher on the call-stack, i.e. they match the
sources.  Memory corruption should be so lucky to produce that.

> If there is something in emacs or in mingw32 that mismanages memory
> (malloc?) on 64-bit systems for 32-bit applications you would get such
> problems. Things might work quite without a glitch as long as the memory
> used by the process is not wanted and written on by another process.

Heap and stack are too far on Windows for this to be a viable
explanation.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 18:11:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 14:11:17 2014
Received: from localhost ([127.0.0.1]:46075 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wsc89-0007cC-4J
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:11:17 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:50927)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Wsc83-0007ba-3M
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 14:11:10 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0N6P00E00J8IL200@HIDDEN> for 17688 <at> debbugs.gnu.org;
 Thu, 05 Jun 2014 21:11:00 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6P00EG9JUCGRA0@HIDDEN>;
 Thu, 05 Jun 2014 21:11:00 +0300 (IDT)
Date: Thu, 05 Jun 2014 21:10:49 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <5390AF82.1060601@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Ken Brown <kbrown@HIDDEN>
Message-id: <834mzz5is6.fsf@HIDDEN>
References: <7z61kf73hz.fsf@HIDDEN> <83fvjj5kvx.fsf@HIDDEN>
 <5390AF82.1060601@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: gustav@HIDDEN, 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> Date: Thu, 05 Jun 2014 13:57:22 -0400
> From: Ken Brown <kbrown@HIDDEN>
> CC: 17688 <at> debbugs.gnu.org
> 
> On 6/5/2014 1:25 PM, Eli Zaretskii wrote:
> >> From: Zdzislaw Meglicki <gustav@HIDDEN>
> >> Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
> >> Date: Thu, 05 Jun 2014 11:58:00 -0400
> >>
> >> Incidentally, rmail, there's another bug there, that showed up only in
> >> the latest version of emacs, the one I got from you, 24.3.90.1. When I
> >> am in the rmail-summary and try to get out of it by typing "q", I get a
> >> message that the pointer does not point to the right window. Something
> >> gets screwed up there.  It worked in the earlier versions.
> >
> > My crystal ball says this is bug #16433.  If so, it should be fixed in
> > the next pretest.  For now, set cache-long-scans to nil in the Rmail
> > buffer, to work around.
> 
> I thought it might be bug #17283.

You are right, it could be that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 17:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 13:57:33 2014
Received: from localhost ([127.0.0.1]:46063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wsbuu-00077e-Ow
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:57:33 -0400
Received: from limerock02.mail.cornell.edu ([128.84.12.100]:59907)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kbrown@HIDDEN>) id 1Wsbus-00077K-Az
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:57:31 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock02.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id s55HvOet008583;
 Thu, 5 Jun 2014 13:57:24 -0400
Received: from [192.168.1.6] (cpe-67-249-194-47.twcny.res.rr.com
 [67.249.194.47]) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id s55HvNqT016508
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Thu, 5 Jun 2014 13:57:23 -0400
Message-ID: <5390AF82.1060601@HIDDEN>
Date: Thu, 05 Jun 2014 13:57:22 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, Zdzislaw Meglicki <gustav@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
References: <7z61kf73hz.fsf@HIDDEN> <83fvjj5kvx.fsf@HIDDEN>
In-Reply-To: <83fvjj5kvx.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 6/5/2014 1:25 PM, Eli Zaretskii wrote:
>> From: Zdzislaw Meglicki <gustav@HIDDEN>
>> Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
>> Date: Thu, 05 Jun 2014 11:58:00 -0400
>>
>> Incidentally, rmail, there's another bug there, that showed up only in
>> the latest version of emacs, the one I got from you, 24.3.90.1. When I
>> am in the rmail-summary and try to get out of it by typing "q", I get a
>> message that the pointer does not point to the right window. Something
>> gets screwed up there.  It worked in the earlier versions.
>
> My crystal ball says this is bug #16433.  If so, it should be fixed in
> the next pretest.  For now, set cache-long-scans to nil in the Rmail
> buffer, to work around.

I thought it might be bug #17283.  If so, the following patch should fix it:

=== modified file 'lisp/mail/rmail.el'
--- lisp/mail/rmail.el  2014-02-13 18:23:36 +0000
+++ lisp/mail/rmail.el  2014-04-29 15:51:49 +0000
@@ -1573,7 +1572,7 @@
    (when (boundp 'rmail-quit-hook)
      (run-hooks 'rmail-quit-hook))
    ;; Don't switch to the summary buffer even if it was recently visible.
-  (when rmail-summary-buffer
+  (when (rmail-summary-exists)
      (with-current-buffer rmail-summary-buffer
        (set-buffer-modified-p nil))
      (replace-buffer-in-windows rmail-summary-buffer)

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 17:25:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 13:25:50 2014
Received: from localhost ([127.0.0.1]:46016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsbQA-0005yF-6Z
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:25:50 -0400
Received: from mtaout28.012.net.il ([80.179.55.184]:51213)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WsbQ4-0005xt-12
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:25:44 -0400
Received: from conversion-daemon.mtaout28.012.net.il by mtaout28.012.net.il
 (HyperSendmail v2007.08) id <0N6P00L00H6U8200@HIDDEN> for
 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 20:23:46 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by mtaout28.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6P00NZ3HNMAU30@HIDDEN>; Thu, 05 Jun 2014 20:23:46 +0300 (IDT)
Date: Thu, 05 Jun 2014 20:25:22 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <7z61kf73hz.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Zdzislaw Meglicki <gustav@HIDDEN>
Message-id: <83fvjj5kvx.fsf@HIDDEN>
References: <7z61kf73hz.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Zdzislaw Meglicki <gustav@HIDDEN>
> Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
> Date: Thu, 05 Jun 2014 11:58:00 -0400
> 
> Incidentally, rmail, there's another bug there, that showed up only in
> the latest version of emacs, the one I got from you, 24.3.90.1. When I
> am in the rmail-summary and try to get out of it by typing "q", I get a
> message that the pointer does not point to the right window. Something
> gets screwed up there.  It worked in the earlier versions.

My crystal ball says this is bug #16433.  If so, it should be fixed in
the next pretest.  For now, set cache-long-scans to nil in the Rmail
buffer, to work around.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 17:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 13:17:08 2014
Received: from localhost ([127.0.0.1]:46001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsbHk-0005fS-Fm
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:17:08 -0400
Received: from perth.ovpit.indiana.edu ([156.56.178.13]:49322)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gustav@HIDDEN>) id 1WsbHZ-0005ee-7h
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 13:17:02 -0400
Received: from crawley (140-182-74-52.ssl-vpn.indiana.edu [140.182.74.52])
 by perth.ovpit.indiana.edu (Postfix) with ESMTP id 47059164085;
 Thu,  5 Jun 2014 13:16:47 -0400 (EDT)
From: Zdzislaw Meglicki <gustav@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-Reply-To: <53909604.1090306@HIDDEN> (message from Ken Brown on Thu,
 05 Jun 2014 12:08:36 -0400)
Date: Thu, 05 Jun 2014 13:16:51 -0400
Message-ID: <7zy4xb5la4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17688
Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


   > People have reported several crashes of the Cygwin-w32 build,
   > always on 64-bit Cygwin, with backtraces that "can't happen".

When you have this kind of event, in my experience, it points to the
process memory being corrupted. Instead of finding what you expect to be
there, there is something totally unexpected there altogether, something
completely wrong and unexplainable by the logic of the program. This is
because something else, possibly another process, has written its data
onto it, or because your pointer has jumped into a wrong location,
possibly beyond your system allocated memory buffer.

If there is something in emacs or in mingw32 that mismanages memory
(malloc?) on 64-bit systems for 32-bit applications you would get such
problems. Things might work quite without a glitch as long as the memory
used by the process is not wanted and written on by another process.

Cheers,
Gustav

-- 
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 16:08:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 12:08:48 2014
Received: from localhost ([127.0.0.1]:45969 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsaDf-00025y-Vs
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 12:08:48 -0400
Received: from limerock02.mail.cornell.edu ([128.84.12.100]:43200)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kbrown@HIDDEN>) id 1WsaDd-00025f-Os
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 12:08:46 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite4.serverfarm.cornell.edu
 [10.16.197.9])
 by limerock02.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id s55G8dVH017124;
 Thu, 5 Jun 2014 12:08:39 -0400
Received: from [192.168.1.6] (cpe-67-249-194-47.twcny.res.rr.com
 [67.249.194.47]) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id s55G8b4e015363
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Thu, 5 Jun 2014 12:08:38 -0400
Message-ID: <53909604.1090306@HIDDEN>
Date: Thu, 05 Jun 2014 12:08:36 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: Eli Zaretskii <eliz@HIDDEN>, Zdzislaw Meglicki <gustav@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
References: <7z1tv4vik0.fsf@HIDDEN> <83ioog7jk5.fsf@HIDDEN>
In-Reply-To: <83ioog7jk5.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 6/4/2014 11:58 AM, Eli Zaretskii wrote:
>> (gdb) bt full
>> #0  0x0000000100631d84 in deselect_palette (f=0x0, hdc=0x0)
>>      at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:123
>> No locals.
>> #1  0x0000000100631e53 in release_frame_dc (f=0x0, hdc=0x0)
>>      at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:154
>>          ret = 0
>> #2  0x00000001006351f9 in uniscribe_encode_char (
>>      font=0x101071d30 <bss_sbrk_buffer+6928560>, c=76)
>>      at /usr/src/debug/emacs-24.3.90-1/src/w32uniscribe.c:585
>>          context = 0x0
>>          f = 0x0
>>          old_font = 0x0
>>          code = 15
>>          ch = L"LC"
>>          len = 1
>>          items = 0x436980
>>          nitems = 1
>>          uniscribe_font = 0x101071d30 <bss_sbrk_buffer+6928560>
>
> This backtrace makes no sense: uniscribe_encode_char calls
> release_frame_dc only if the variable 'context' has a non-NULL value
> (and then 'f' should also be non-NULL).  But here we see that
> release_frame_dc is called by uniscribe_encode_char when both
> 'context' and 'f' are NULL, which cannot happen.  I was about to say
> that this could be due to compiler optimizations that screw up the
> backtrace, but then I saw that your Emacs binary was built with -O0.
> So now I'm stumped how could this happen at all.

That's been the problem for several months.  People have reported 
several crashes of the Cygwin-w32 build, always on 64-bit Cygwin, with 
backtraces that "can't happen".  Can you think of any way to try to 
track this down?

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 16:00:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 12:00:15 2014
Received: from localhost ([127.0.0.1]:45929 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wsa5K-0001lk-G7
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 12:00:14 -0400
Received: from perth.ovpit.indiana.edu ([156.56.178.13]:49320)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gustav@HIDDEN>) id 1Wsa5C-0001kM-Mu
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 12:00:06 -0400
Received: from crawley (140-182-74-52.ssl-vpn.indiana.edu [140.182.74.52])
 by perth.ovpit.indiana.edu (Postfix) with ESMTP id 80475164085;
 Thu,  5 Jun 2014 11:59:56 -0400 (EDT)
From: Zdzislaw Meglicki <gustav@HIDDEN>
To: Zdzislaw Meglicki <gustav@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-Reply-To: <7z61kf73hz.fsf@HIDDEN> (message from Zdzislaw Meglicki on Thu,
 05 Jun 2014 11:58:00 -0400)
Date: Thu, 05 Jun 2014 11:59:59 -0400
Message-ID: <7z38fj73eo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17688
Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

More about that rmail bug. The message I'm getting on
trying to quit the rmail-summary window is:

set-window-buffer-start-and-point: Marker points into wrong buffer:
#<marker at 1 in  *message-viewer RMAIL*>

-- 
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 15:58:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 11:58:14 2014
Received: from localhost ([127.0.0.1]:45916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wsa3N-0001g2-Nu
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 11:58:14 -0400
Received: from perth.ovpit.indiana.edu ([156.56.178.13]:49315)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gustav@HIDDEN>) id 1Wsa3H-0001fk-Cq
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 11:58:07 -0400
Received: from crawley (140-182-74-52.ssl-vpn.indiana.edu [140.182.74.52])
 by perth.ovpit.indiana.edu (Postfix) with ESMTP id D139D164085;
 Thu,  5 Jun 2014 11:57:57 -0400 (EDT)
From: Zdzislaw Meglicki <gustav@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-Reply-To: <53908D20.701@HIDDEN> (message from Ken Brown on Thu,
 05 Jun 2014 11:30:40 -0400)
Date: Thu, 05 Jun 2014 11:58:00 -0400
Message-ID: <7z61kf73hz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17688
Cc: eliz@HIDDEN, 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)


   > But you did say you get the same backtrace involving
   > deselect_palette twice.

Yes, twice the same crash, separated by a day or so.

   > Did it happen during copying and pasting between Emacs and Firefox
   > both times?  Maybe you could experiment with that and see if you
   > can find a reliable way to produce the crash.

You see, I copy and paste... er... all the time (call it "creative
cheating"...) I maintain a data base, on another machine, it's really a
Plone-4.2 instance, into which I paste articles collected from browsing
the web. Eventually, this ends up begin a copy from emacs and a paste
into Firefox. I do it all the time and it works without a glitch
*almost* all the time. The crashes are sporadic, which is why it's so
hard to diagnose the problem.

I did suspect the clock, also I did suspect mail lookup. I use rmail to
read mail, which is placed in the local spooler by fetchmail, which gets
it from Google. Sometimes, I saw crashes, just while editing text in
emacs, no external copy/paste, perhaps other than meta-w, ctrl-y (it
still goes through Windows, in emacs-w32, mind you, because it can be
pasted onto other docs). What if there is some racing condition on
looking up the mail spool file, racing between fetchmail and emacs'
rmail, that crashes emacs?

I'll try the .emacs simplifications suggested.

Incidentally, rmail, there's another bug there, that showed up only in
the latest version of emacs, the one I got from you, 24.3.90.1. When I
am in the rmail-summary and try to get out of it by typing "q", I get a
message that the pointer does not point to the right window. Something
gets screwed up there.  It worked in the earlier versions.

Cheers,
Gustav

-- 
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 5 Jun 2014 15:31:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 05 11:31:01 2014
Received: from localhost ([127.0.0.1]:45895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsZd2-0000jm-4Y
	for submit <at> debbugs.gnu.org; Thu, 05 Jun 2014 11:31:00 -0400
Received: from limerock01.mail.cornell.edu ([128.84.12.99]:39720)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <kbrown@HIDDEN>) id 1WsZcv-0000jS-LN
 for 17688 <at> debbugs.gnu.org; Thu, 05 Jun 2014 11:30:54 -0400
X-CornellRouted: This message has been Routed already.
Received: from authusersmtp.mail.cornell.edu (granite3.serverfarm.cornell.edu
 [10.16.197.8])
 by limerock01.mail.cornell.edu (8.14.4/8.14.4_cu) with ESMTP id s55FUhuT014525;
 Thu, 5 Jun 2014 11:30:43 -0400
Received: from [192.168.1.6] (cpe-67-249-194-47.twcny.res.rr.com
 [67.249.194.47]) (authenticated bits=0)
 by authusersmtp.mail.cornell.edu (8.14.4/8.12.10) with ESMTP id s55FUfkk024198
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES128-SHA bits=128 verify=NOT);
 Thu, 5 Jun 2014 11:30:42 -0400
Message-ID: <53908D20.701@HIDDEN>
Date: Thu, 05 Jun 2014 11:30:40 -0400
From: Ken Brown <kbrown@HIDDEN>
User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64;
 rv:24.0) Gecko/20100101 Thunderbird/24.5.0
MIME-Version: 1.0
To: Zdzislaw Meglicki <gustav@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
References: <7zlhtc8urk.fsf@HIDDEN>
In-Reply-To: <7zlhtc8urk.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 6/4/2014 1:11 PM, Zdzislaw Meglicki wrote:
> Is this reproducible?
>
> No. I can't trigger it at will.

But you did say you get the same backtrace involving deselect_palette 
twice.  Did it happen during copying and pasting between Emacs and 
Firefox both times?  Maybe you could experiment with that and see if you 
can find a reliable way to produce the crash.

> I've simplified my .emacs removing everything that's
> not vanilla from it and making it as short as possible.

You could simplify it more.

> (setq default-buffer-file-coding-system 'no-conversion)
> (custom-set-faces
>   '(default ((t (:family "Consolas" :foundry "outline" :slant normal :weight normal :height 90 :width normal)))))

What if you remove these two?

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 4 Jun 2014 17:37:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 04 13:37:45 2014
Received: from localhost ([127.0.0.1]:44272 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsF8D-0003oa-5j
	for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 13:37:45 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:61289)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WsF8A-0003oE-K1
 for 17688 <at> debbugs.gnu.org; Wed, 04 Jun 2014 13:37:43 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0N6N00400NCA3000@HIDDEN> for 17688 <at> debbugs.gnu.org;
 Wed, 04 Jun 2014 20:37:36 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6N003HJNMNUYC0@HIDDEN>;
 Wed, 04 Jun 2014 20:37:36 +0300 (IDT)
Date: Wed, 04 Jun 2014 20:37:33 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <7zlhtc8urk.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Zdzislaw Meglicki <gustav@HIDDEN>
Message-id: <83a99s7ezm.fsf@HIDDEN>
References: <7zlhtc8urk.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Zdzislaw Meglicki <gustav@HIDDEN>
> Cc: 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
> Date: Wed, 04 Jun 2014 13:11:27 -0400
> 
> It may be environmental, perhaps it has something to
> do with the timer. Only yesterday I got a crash, not
> running under gdb at the time, that produced this message:
> 
> *** fatal error - WFSO failed waiting for timer thread, Win32 error 0

This is not an Emacs message, and I'm guessing WFSO stands for
WaitForSingleObject.  This message comes from the Cygwin DLL, I see it
in the timer.cc source file in the Cygwin sources.  So perhaps Cygwin
maintainers could tell what it means.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 4 Jun 2014 17:11:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 04 13:11:41 2014
Received: from localhost ([127.0.0.1]:44202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsEiv-0002rY-Fm
	for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 13:11:41 -0400
Received: from perth.ovpit.indiana.edu ([156.56.178.13]:48600)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gustav@HIDDEN>) id 1WsEiq-0002rC-8o
 for 17688 <at> debbugs.gnu.org; Wed, 04 Jun 2014 13:11:36 -0400
Received: from crawley (140-182-72-75.ssl-vpn.indiana.edu [140.182.72.75])
 by perth.ovpit.indiana.edu (Postfix) with ESMTP id 396B3164087;
 Wed,  4 Jun 2014 13:11:25 -0400 (EDT)
From: Zdzislaw Meglicki <gustav@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-Reply-To: <83ioog7jk5.fsf@HIDDEN> (message from Eli Zaretskii on Wed,
 04 Jun 2014 18:58:50 +0300)
Date: Wed, 04 Jun 2014 13:11:27 -0400
Message-ID: <7zlhtc8urk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Dear Eli,

Thank you for looking into this, not only on my behalf,
but also on behalf of the Cygwin community.

Is this reproducible?

No. I can't trigger it at will. My emacs sessions have
been crashing like this and more for some months. It got
better more recently, after Ken Brown of Cornell
(kbrown@HIDDEN) released a newer Cygwin version,
including the one I'm running at present, but the crashes
did not go away altogether.

It may be environmental, perhaps it has something to
do with the timer. Only yesterday I got a crash, not
running under gdb at the time, that produced this message:

*** fatal error - WFSO failed waiting for timer thread, Win32 error 0

This is emacs-w32 that I'm working with, under Windows 8.1
on a 64-bit AMD Quad-Core A8 5500, 8GB DDR3 memory,
3TB disk (lovely machine).

I've simplified my .emacs removing everything that's
not vanilla from it and making it as short as possible.
Here it is:

(setq Info-directory-list
      (append '("/home/gustav/info"
                "/home/gustav/info/elisp-manual-21-2.8"
                "/home/gustav/info/emacs-lisp-intro-2.04")
              Info-default-directory-list))
(setq rmail-file-name "~/Mail/RMAIL")
(setq rmail-primary-inbox-list '("/var/spool/mail/gustav"))
(setq user-mail-address "gustav@HIDDEN")
(setq user-full-name "Zdzislaw Meglicki")
(setq send-mail-function 'smtpmail-send-it)
(setq message-send-mail-function 'smtpmail-send-it)
(setq smtpmail-smtp-server "perth.ovpit.indiana.edu")
(add-hook 'mail-mode-hook 'sendmail-user-agent)
(setq compose-mail-user-agent-warnings nil)
(setq default-buffer-file-coding-system 'no-conversion)
(setq display-time-day-and-date 'true)
(display-time)
(defun ftoc(f)
  (/ (round (* (/ (- f 32.0) 1.8) 10.0)) 10.0))
(defun ctof(c)
  (/ (round (* (+ (* c 1.8) 32.0) 10.0)) 10.0))
(put 'upcase-region 'disabled nil)
(put 'downcase-region 'disabled nil)
(custom-set-faces
 '(default ((t (:family "Consolas" :foundry "outline" :slant normal :weight normal :height 90 :width normal)))))

Observe I have display-time in it.

Regards,

-- 
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at 17688 <at> debbugs.gnu.org:


Received: (at 17688) by debbugs.gnu.org; 4 Jun 2014 15:59:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 04 11:59:10 2014
Received: from localhost ([127.0.0.1]:44112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsDaj-0000CY-NW
	for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:59:09 -0400
Received: from mtaout22.012.net.il ([80.179.55.172]:43175)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1WsDad-0000Br-Jc
 for 17688 <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:59:03 -0400
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0N6N00E00IFMN400@HIDDEN> for 17688 <at> debbugs.gnu.org;
 Wed, 04 Jun 2014 18:58:52 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0N6N00EBRJ24CQB0@HIDDEN>;
 Wed, 04 Jun 2014 18:58:52 +0300 (IDT)
Date: Wed, 04 Jun 2014 18:58:50 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#17688: 24.3.90; segmentation fault in deselect_palette
In-reply-to: <7z1tv4vik0.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Zdzislaw Meglicki <gustav@HIDDEN>
Message-id: <83ioog7jk5.fsf@HIDDEN>
References: <7z1tv4vik0.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 17688
Cc: 17688 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Zdzislaw Meglicki <gustav@HIDDEN>
> Date: Wed, 04 Jun 2014 10:46:39 -0400
> 
>    On copy and paste between emacs and Firefox windows.
>    Emacs, which I had been running under gdb, crashed
>    on segmentation fault. It is the second time that this
>    has happened, with nearly identical backtraces.

Is this reproducible?  If so, can you post a reproducible recipe
starting with "emacs -Q"?

> (gdb) bt full
> #0  0x0000000100631d84 in deselect_palette (f=0x0, hdc=0x0)
>     at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:123
> No locals.
> #1  0x0000000100631e53 in release_frame_dc (f=0x0, hdc=0x0)
>     at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:154
>         ret = 0
> #2  0x00000001006351f9 in uniscribe_encode_char (
>     font=0x101071d30 <bss_sbrk_buffer+6928560>, c=76)
>     at /usr/src/debug/emacs-24.3.90-1/src/w32uniscribe.c:585
>         context = 0x0
>         f = 0x0
>         old_font = 0x0
>         code = 15
>         ch = L"LC"
>         len = 1
>         items = 0x436980
>         nitems = 1
>         uniscribe_font = 0x101071d30 <bss_sbrk_buffer+6928560>

This backtrace makes no sense: uniscribe_encode_char calls
release_frame_dc only if the variable 'context' has a non-NULL value
(and then 'f' should also be non-NULL).  But here we see that
release_frame_dc is called by uniscribe_encode_char when both
'context' and 'f' are NULL, which cannot happen.  I was about to say
that this could be due to compiler optimizations that screw up the
backtrace, but then I saw that your Emacs binary was built with -O0.
So now I'm stumped how could this happen at all.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jun 2014 15:38:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jun 04 11:38:09 2014
Received: from localhost ([127.0.0.1]:44092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WsDGO-0007u9-Ua
	for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:38:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:47417)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <gustav@HIDDEN>) id 1WsCqi-0006yU-L0
 for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:11:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gustav@HIDDEN>) id 1WsCqV-00053r-Tl
 for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:11:27 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40919)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gustav@HIDDEN>) id 1WsCqV-00053k-PH
 for submit <at> debbugs.gnu.org; Wed, 04 Jun 2014 11:11:19 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49022)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gustav@HIDDEN>) id 1WsCqO-0007aq-RP
 for bug-gnu-emacs@HIDDEN; Wed, 04 Jun 2014 11:11:19 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <gustav@HIDDEN>) id 1WsCqH-0004zL-Uo
 for bug-gnu-emacs@HIDDEN; Wed, 04 Jun 2014 11:11:12 -0400
Received: from perth.ovpit.indiana.edu ([156.56.178.13]:48597)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <gustav@HIDDEN>) id 1WsCqH-0004ye-Ig
 for bug-gnu-emacs@HIDDEN; Wed, 04 Jun 2014 11:11:05 -0400
Received: from crawley (140-182-72-75.ssl-vpn.indiana.edu [140.182.72.75])
 by perth.ovpit.indiana.edu (Postfix) with ESMTP id DED02164030;
 Wed,  4 Jun 2014 11:10:58 -0400 (EDT)
From: Zdzislaw Meglicki <gustav@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.90; segmentation fault in deselect_palette
Date: Wed, 04 Jun 2014 10:46:39 -0400
Message-ID: <7z1tv4vik0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 04 Jun 2014 11:38:03 -0400
Cc: kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)



   On copy and paste between emacs and Firefox windows.
   Emacs, which I had been running under gdb, crashed
   on segmentation fault. It is the second time that this
   has happened, with nearly identical backtraces.


   The output of "bt full" is attached below. xbacktrace
   returns "Undefined command."

   Zdzislaw (Gustav) Meglicki
   Indiana University
   812-335-8064

In GNU Emacs 24.3.90.1 (x86_64-unknown-cygwin)
 of 2014-05-03 on fiona
Windowing system distributor `Microsoft Corp.', version 6.3.9600
Configured using:
 `configure
 --srcdir=3D/home/kbrown/src/cygemacs/emacs-24.3.90-1.x86_64/src/emacs-24.3=
.90
 --prefix=3D/usr --exec-prefix=3D/usr --bindir=3D/usr/bin --sbindir=3D/usr/=
sbin
 --libexecdir=3D/usr/libexec --datadir=3D/usr/share --localstatedir=3D/var
 --sysconfdir=3D/etc --libdir=3D/usr/lib --datarootdir=3D/usr/share
 --docdir=3D/usr/share/doc/emacs --htmldir=3D/usr/share/doc/emacs/html -C
 --with-w32 'CFLAGS=3D-ggdb -O2 -pipe -Wimplicit-function-declaration -O0
 -fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-24.3.90-1.x86_64/buil=
d=3D/usr/src/debug/emacs-24.3.90-1
 -fdebug-prefix-map=3D/home/kbrown/src/cygemacs/emacs-24.3.90-1.x86_64/src/=
emacs-24.3.90=3D/usr/src/debug/emacs-24.3.90-1'
 CPPFLAGS=3D LDFLAGS=3D-Wl,--stack,0x400000'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  display-time-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo>=20
<help-echo> <help-echo> M-x r e p o r t - e m a c s=20
- b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/usr/share/emacs/site-lisp/htmlfontify hides /usr/share/emacs/24.3.90/lisp/=
htmlfontify
/usr/share/emacs/site-lisp/hfy-cmap hides /usr/share/emacs/24.3.90/lisp/hfy=
-cmap

Features:
(shadow sort gnus-util mail-extr emacsbug message idna format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util help-fns mail-prsvr mail-utils time time-date tooltip
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
w32-common-fns disp-table w32-win w32-vars tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese hebrew
greek romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
gfilenotify w32 multi-tty emacs)

Memory information:
((conses 16 76398 7590)
 (symbols 48 17420 0)
 (miscs 40 86 90)
 (strings 32 11229 4178)
 (string-bytes 1 285210)
 (vectors 16 9682)
 (vector-slots 8 370776 10086)
 (floats 8 72 196)
 (intervals 56 283 31)
 (buffers 960 13))

--=20
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

Output of bt full

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D

(gdb) bt full
#0  0x0000000100631d84 in deselect_palette (f=3D0x0, hdc=3D0x0)
    at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:123
No locals.
#1  0x0000000100631e53 in release_frame_dc (f=3D0x0, hdc=3D0x0)
    at /usr/src/debug/emacs-24.3.90-1/src/w32xfns.c:154
        ret =3D 0
#2  0x00000001006351f9 in uniscribe_encode_char (
    font=3D0x101071d30 <bss_sbrk_buffer+6928560>, c=3D76)
    at /usr/src/debug/emacs-24.3.90-1/src/w32uniscribe.c:585
        context =3D 0x0
        f =3D 0x0
        old_font =3D 0x0
        code =3D 15
        ch =3D L"LC"
        len =3D 1
        items =3D 0x436980
        nitems =3D 1
        uniscribe_font =3D 0x101071d30 <bss_sbrk_buffer+6928560>
#3  0x0000000100462d13 in get_glyph_face_and_encoding (
    f=3D0x101058c48 <bss_sbrk_buffer+6825928>, glyph=3D0x6006fb1e0,=20
    char2b=3D0x436b24 L"\006", two_byte_p=3D0x436aa4)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:23675
        face =3D 0x60021ee00
        code =3D 0
#4  0x0000000100463670 in fill_glyph_string (s=3D0x436b70, face_id=3D23, st=
art=3D0,=20
    end=3D33, overlaps=3D0) at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:2=
3897
        two_byte_p =3D 0
        glyph =3D 0x6006fb1e0
        last =3D 0x6006fb630
        voffset =3D 0
        glyph_not_available_p =3D 0
#5  0x0000000100464796 in draw_glyphs (w=3D0x60057fd30, x=3D10, row=3D0x600=
705300,=20
    area=3DTEXT_AREA, start=3D0, end=3D33, hl=3DDRAW_NORMAL_TEXT, overlaps=
=3D0)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:24515
        face_id =3D 23
        char2b =3D 0x436b10 L"\020\004\025\f\026\027\003\006\022\017\006"
        first_glyph =3D 0x6006fb000
        head =3D 0x436b70
        tail =3D 0x436b70
        s =3D 0x436b70
        clip_head =3D 0x0
        clip_tail =3D 0x0
        i =3D 0
        j =3D 9646208
        x_reached =3D 0
        last_x =3D 570
        area_left =3D 10
        f =3D 0x101058c48 <bss_sbrk_buffer+6825928>
        hdc =3D 0xffffffff8d010f1b
#6  0x00000001004752fd in expose_area (w=3D0x60057fd30, row=3D0x600705300,=
=20
    r=3D0x437070, area=3DTEXT_AREA)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29304
        first =3D 0x6006fb000
        end =3D 0x6006fb630
        last =3D 0x0
        first_x =3D 6541038
        start_x =3D 1
        x =3D 6
#7  0x000000010047552d in expose_line (w=3D0x60057fd30, row=3D0x600705300,=
=20
    r=3D0x437070) at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29362
No locals.
#8  0x0000000100476540 in expose_window (w=3D0x60057fd30, fr=3D0x437190)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29632
        y0 =3D 714
        y1 =3D 728
        cursor_cleared_p =3D 1
        phys_cursor_on_p =3D 0
        first_overlapping_row =3D 0x0
        yb =3D 782
        row =3D 0x600705300
        last_overlapping_row =3D 0x0
        f =3D 0x101058c48 <bss_sbrk_buffer+6825928>
        wr =3D {x =3D 0, y =3D 114, width =3D 598, height =3D 796}
        r =3D {x =3D 0, y =3D 700, width =3D 581, height =3D 70}
        mouse_face_overwritten_p =3D 0
#9  0x000000010047698c in expose_window_tree (w=3D0x60057fd30, r=3D0x437190)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29707
        f =3D 0x101058c48 <bss_sbrk_buffer+6825928>
        mouse_face_overwritten_p =3D 0
#10 0x0000000100476977 in expose_window_tree (w=3D0x600444d28, r=3D0x437190)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29705
        f =3D 0x101058c48 <bss_sbrk_buffer+6825928>
        mouse_face_overwritten_p =3D 0
#11 0x0000000100476ad0 in expose_frame (
    f=3D0x101058c48 <bss_sbrk_buffer+6825928>, x=3D0, y=3D814, w=3D581, h=
=3D70)
    at /usr/src/debug/emacs-24.3.90-1/src/xdisp.c:29762
        r =3D {x =3D 0, y =3D 814, width =3D 581, height =3D 70}
        mouse_face_overwritten_p =3D 0
#12 0x000000010062ca6d in w32_read_socket (
    terminal=3D0x100f5ce70 <bss_sbrk_buffer+5794288>, hold_quit=3D0x4373e0)
    at /usr/src/debug/emacs-24.3.90-1/src/w32term.c:4250
        hdc =3D 0xffffffff8d010f1b
        inev =3D {kind =3D NO_EVENT, code =3D 0, part =3D scroll_bar_above_=
handle,=20
          modifiers =3D 0, x =3D 0, y =3D 0, timestamp =3D 0, frame_or_wind=
ow =3D 0,=20
          arg =3D 4305639474}
        do_help =3D 0
        count =3D 0
        check_visibility =3D 0
        msg =3D {msg =3D {hwnd =3D 0xa045c, message =3D 1045, wParam =3D 0,=
 lParam =3D 0,=20
            time =3D 1736382484, pt =3D {x =3D 69, y =3D 17}}, dwModifiers =
=3D 0,=20
          rect =3D {left =3D 0, top =3D 814, right =3D 581, bottom =3D 884}}
        f =3D 0x101058c48 <bss_sbrk_buffer+6825928>
        dpyinfo =3D 0x1014d6680 <one_w32_display_info>
        hlinfo =3D 0x1014d6718 <one_w32_display_info+152>
#13 0x000000010050b19a in gobble_input ()
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:6846
        nr =3D 0
        hold_quit =3D {kind =3D NO_EVENT, code =3D 0,=20
          part =3D scroll_bar_above_handle, modifiers =3D 0, x =3D 0, y =3D=
 0,=20
          timestamp =3D 0, frame_or_window =3D 0, arg =3D 0}
        next =3D 0x0
        nread =3D 0
        err =3D false
        t =3D 0x100f5ce70 <bss_sbrk_buffer+5794288>
#14 0x000000010050b035 in get_input_pending (flags=3D1)
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:6767
No locals.
#15 0x0000000100511142 in detect_input_pending_run_timers (do_display=3Dfal=
se)
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:9884
        old_timers_run =3D 1944
#16 0x000000010050287b in read_char (commandflag=3D0, map=3D4305639474,=20
    prev_event=3D4305639474, used_mouse_menu=3D0x0, end_time=3D0x437950)
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:2558
        echo_current =3D true
        c =3D 4305639474
        jmpcount =3D 4421808
        local_getcjmp =3D {4421424, 57, 708217300, 42656, 0,=20
          3041770145964605396, 15028076290, 140708895854455, 4422176,=20
          4422176, 4421488, 4300237088, 4434748, 0, 0, 1, 28,=20
          140708849620591, 5416090721944, 4421488, 4421760, 4301839357,=20
          4421808, 6443753189, 57, 708217300, 57, 708217300,=20
          130463647823520154, 0, 1401891240, 6443754236}
        save_jump =3D {130463647822917827, 1, 28, 6443754236, 4421088,=20
          4300175095, 25778441430, 25778441430, 6, 6, 4421232, 4300681828,=
=20
          25778441430, 4305639474, 1401891240, 0, 4421280, 4300767932,=20
          4421184, 1401891240, 0, 4300176491, 1401891240, 0, 4422176, 21391=
,=20
          0, 0, 57, 708217300, 4421328, 4301596082}
        tem =3D 4422392
        save =3D 4301839357
        previous_echo_area_message =3D 4305639474
        also_record =3D 4305639474
        reread =3D false
        gcpro1 =3D {next =3D 0x4376d0, var =3D 0x18013dee5 <hires_ms::nsecs=
()+53>,=20
          nvars =3D 0}
        gcpro2 =3D {next =3D 0x4ed082700b4, var =3D 0x437590, nvars =3D 442=
1280}
        polling_stopped_here =3D false
        orig_kboard =3D 0x600073800
#17 0x00000001005c180a in read_filtered_event (no_switch_frame=3Dfalse,=20
    ascii_required=3Dfalse, error_nonascii=3Dfalse, input_method=3Dtrue,=20
    seconds=3D4305627959) at /usr/src/debug/emacs-24.3.90-1/src/lread.c:632
        val =3D 4294967306
        delayed_switch_frame =3D 4305639474
        end_time =3D {tv_sec =3D 1401891182, tv_nsec =3D 602015400}
#18 0x00000001005c1aee in Fread_event (prompt=3D4305639474,=20
    inherit_input_method=3D4305639522, seconds=3D4305627959)
    at /usr/src/debug/emacs-24.3.90-1/src/lread.c:744
No locals.
#19 0x0000000100599bb3 in Ffuncall (nargs=3D4, args=3D0x437af0)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2822
        fun =3D 4304598533
        original_fun =3D 4305879666
        funcar =3D 4300727617
        numargs =3D 3
        lisp_numargs =3D 4305627959
        val =3D 4305639522
        internal_args =3D 0x437af8
        i =3D 1
#20 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4301839321,=20
    vector=3D4301839357, maxdepth=3D28, args_template=3D3076, nargs=3D1,=20
    args=3D0x4380a0) at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
          0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
          0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 21
        count_volatile =3D 0
        op =3D 3
        vectorp =3D 0x10068dc00 <pure+125664>
        vectorp_volatile =3D 0x4
        stack =3D {pc =3D 0x10092399f <pure+2836607> "\211?\206Y",=20
          byte_string =3D 4301839321,=20
          byte_string_start =3D 0x10092395b <pure+2836539> "\001\247\203\02=
2",=20
          next =3D 0x438100}
        stack_volatile =3D {pc =3D 0x3 <Address 0x3 out of bounds>,=20
          byte_string =3D 47244640256,=20
          byte_string_start =3D 0xb00000003 <Address 0xb00000003 out of bou=
nds>, next =3D 0x3}
        top =3D 0x437af0
        result =3D 0
        type =3D CATCHER
#21 0x000000010059a286 in funcall_lambda (fun=3D4301839277, nargs=3D1,=20
    arg_vector=3D0x438098) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 3076
        next =3D 4301839272
        lexenv =3D 4301839272
        count =3D 21
        i =3D 1
        optional =3D false
        rest =3D false
#22 0x0000000100599d77 in Ffuncall (nargs=3D2, args=3D0x438090)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 4301839277
        original_fun =3D 4309332162
        funcar =3D 2638
        numargs =3D 1
        lisp_numargs =3D 4423712
        val =3D 25775570229
        internal_args =3D 0x438618
        i =3D 4300755517
#23 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4303034865,=20
    vector=3D4303034901, maxdepth=3D36, args_template=3D4104, nargs=3D4,=20
    args=3D0x438638) at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
         0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
          0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 20
        count_volatile =3D 4300179146
        op =3D 1
        vectorp =3D 0x1007b1a18 <pure+1321208>
        vectorp_volatile =3D 0x438150
        stack =3D {pc =3D 0x1008aae84 <pure+2342244> "\204$",=20
          byte_string =3D 4303034865,=20
          byte_string_start =3D 0x1008aae09 <pure+2342121> "\002\302V\203\0=
22",=20
          next =3D 0x438690}
        stack_volatile =3D {pc =3D 0x438120 "P\201C", byte_string =3D 43001=
79050,=20
          byte_string_start =3D 0x10105dc48 <bss_sbrk_buffer+6846408> "\024=
 \002\004", next =3D 0x600000004}
        top =3D 0x438090
        result =3D 4424488
        type =3D CONDITION_CASE
#24 0x000000010059a286 in funcall_lambda (fun=3D4303034821, nargs=3D4,=20
    arg_vector=3D0x438618) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 4104
        next =3D 4303034816
        lexenv =3D 4303034816
        count =3D 20
        i =3D 4304878688
        optional =3D false
        rest =3D false
#25 0x0000000100599d77 in Ffuncall (nargs=3D5, args=3D0x438610)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 4303034821
        original_fun =3D 4311013314
        funcar =3D 67
        numargs =3D 4
        lisp_numargs =3D 4
        val =3D 4425168
        internal_args =3D 0x100a2d832 <bss_sbrk_buffer+357298>
        i =3D 16
#26 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4303036545,=20
    vector=3D25782217893, maxdepth=3D24, args_template=3D0, nargs=3D0, args=
=3D0x438bb8)
    at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
          0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
          0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 19
        count_volatile =3D 0
        op =3D 4
        vectorp =3D 0x600bd6ca8
        vectorp_volatile =3D 0x0
        stack =3D {pc =3D 0x1008aaa62 <pure+2341186> "\210\210\202",=20
          byte_string =3D 4303036545,=20
          byte_string_start =3D 0x1008aa9d9 <pure+2341049> "\307\312 \240\2=
10=C7=A2\211\242\313=3D\262\001\204\030", next =3D 0x4391b0}
        stack_volatile =3D {
          pc =3D 0x100000001 <Address 0x100000001 out of bounds>,=20
          byte_string =3D 1757, byte_string_start =3D 0x0, next =3D 0x0}
        top =3D 0x438610
        result =3D 4425936
        type =3D CONDITION_CASE
#27 0x000000010059a286 in funcall_lambda (fun=3D25782190029, nargs=3D0,=20
    arg_vector=3D0x438bb8) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 0
        next =3D 25782190024
        lexenv =3D 25782190024
        count =3D 19
        i =3D 4426576
        optional =3D false
        rest =3D false
#28 0x0000000100599d77 in Ffuncall (nargs=3D1, args=3D0x438bb0)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 25782190029
        original_fun =3D 25782190029
        funcar =3D 4300179242
        numargs =3D 0
        lisp_numargs =3D 25781002438
        val =3D 4426592
        internal_args =3D 0x438bb0
        i =3D 10
#29 0x0000000100598538 in eval_sub (form=3D25781002454)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2157
        vals =3D 0x438bb0
        argnum =3D 1
        sa_count =3D 18
        sa_must_free =3D false
        numargs =3D 4
        args_left =3D 4305639474
        i =3D 4426672
        maxargs =3D 8068845
        argvals =3D {25774631941, 0, 6420, 25774631941, 0, 0, 0, 0}
        fun =3D 4304591557
        val =3D 25782217888
        original_fun =3D 4305715394
        original_args =3D 25781002438
        funcar =3D 4294967296
        gcpro1 =3D {next =3D 0x0, var =3D 0x0, nvars =3D 4426896}
        gcpro2 =3D {next =3D 0x0, var =3D 0x0, nvars =3D 0}
        gcpro3 =3D {next =3D 0x0, var =3D 0x438bb0, nvars =3D 1}
#30 0x0000000100594a78 in Fprogn (body=3D25781002470)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:468
        val =3D 4305639474
        gcpro1 =3D {next =3D 0x10066c190 <Strack_mouse>, var =3D 0x10000000=
a,=20
          nvars =3D 4427200}
#31 0x00000001004ff77f in Ftrack_mouse (args=3D25781002470)
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:1281
        count =3D 16
        val =3D 4427168
#32 0x0000000100598323 in eval_sub (form=3D25781002486)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2133
        numargs =3D 4
        args_left =3D 25781002470
        i =3D 1
        maxargs =3D 8068845
        argvals =3D {4427360, 4300861884, 4427312, 4300683265, 4427296,=20
          4300178913, 4305251568, 6}
        fun =3D 4301701525
        val =3D 4305639474
        original_fun =3D 4305697106
        original_args =3D 25781002470
        funcar =3D 4305251568
        gcpro1 =3D {next =3D 0x5, var =3D 0x5, nvars =3D 4305251568}
        gcpro2 =3D {next =3D 0x1009cecf0 <o_fwd.74148>,=20
          var =3D 0x100573fec <allocate_vectorlike+92>, nvars =3D 257746319=
36}
        gcpro3 =3D {next =3D 0x600aae000,=20
          var =3D 0x1012a11e0 <bss_sbrk_buffer+9219424>, nvars =3D 4427440}
#33 0x0000000100597d69 in Feval (form=3D25781002486, lexical=3D4305639474)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2003
        count =3D 14
#34 0x0000000100599b87 in Ffuncall (nargs=3D2, args=3D0x4390c0)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2818
        fun =3D 4304591173
        original_fun =3D 4305889570
        funcar =3D 1605
        numargs =3D 1
        lisp_numargs =3D 4427840
        val =3D 4427776
        internal_args =3D 0x438f80
        i =3D 2
#35 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4303036105,=20
    vector=3D4303036141, maxdepth=3D144, args_template=3D2052, nargs=3D2,=20
    args=3D0x4396d8) at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
          0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
          0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 9
        count_volatile =3D 4305639426
        op =3D 1
        vectorp =3D 0x1007b1ef0 <pure+1322448>
        vectorp_volatile =3D 0x439210
        stack =3D {
          pc =3D 0x1008aab2a <pure+2341386> "\210\002\242:\205\220\001\211\=
313\344\005\242!!\240\203", <incomplete sequence \371>, byte_string =3D 430=
3036105,=20
          byte_string_start =3D 0x1008aaa69 <pure+2341193> "\306\002!\210p\=
020\307 \210\310\031\311\002!\310\032\312\003!\313\001!C\001\211@\262\001\3=
14\001!\315\002!\316\003!\317\033\211A@\320\005!\203\066", next =3D 0x43973=
0}
        stack_volatile =3D {pc =3D 0x0, byte_string =3D 4305639474,=20
          byte_string_start =3D 0x100ebdb86 <bss_sbrk_buffer+5142278> "",=20
          next =3D 0x100a3bcc2 <bss_sbrk_buffer+415810>}
        top =3D 0x4390c0
        result =3D 4428928
        type =3D CONDITION_CASE
#36 0x000000010059a286 in funcall_lambda (fun=3D4303036061, nargs=3D2,=20
    arg_vector=3D0x4396c8) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 2052
        next =3D 4303036056
        lexenv =3D 4303036056
        count =3D 9
        i =3D 4429264
        optional =3D false
        rest =3D false
#37 0x0000000100599d77 in Ffuncall (nargs=3D3, args=3D0x4396c0)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 4303036061
        original_fun =3D 4311024786
        funcar =3D 4300862376
        numargs =3D 2
        lisp_numargs =3D 4429408
        val =3D 4305639474
        internal_args =3D 0x439c98
        i =3D 4303035473
#38 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4303035201,=20
    vector=3D4303035237, maxdepth=3D16, args_template=3D1028, nargs=3D1,=20
    args=3D0x439ca0) at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
          0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
         0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 8
        count_volatile =3D 4300842420
        op =3D 2
        vectorp =3D 0x1007b1b68 <pure+1321544>
        vectorp_volatile =3D 0x4397e0
        stack =3D {pc =3D 0x1008aada5 <pure+2342021> "\207",=20
          byte_string =3D 4303035201,=20
          byte_string_start =3D 0x1008aad9d <pure+2342013> "\300\301!\210\3=
02\001\303\"\207", next =3D 0x43a050}
        stack_volatile =3D {pc =3D 0x439360 "b=D8=A2", byte_string =3D 4303=
065384,=20
          byte_string_start =3D 0x8700439750 <Address 0x8700439750 out of b=
ounds>, next =3D 0x9}
        top =3D 0x4396c0
        result =3D 4430544
        type =3D CONDITION_CASE
#39 0x000000010059a286 in funcall_lambda (fun=3D4303035149, nargs=3D1,=20
    arg_vector=3D0x439c98) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 1028
        next =3D 4303035144
        lexenv =3D 4303035144
        count =3D 8
        i =3D 4305250880
        optional =3D false
        rest =3D false
#40 0x0000000100599d77 in Ffuncall (nargs=3D2, args=3D0x439c90)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 4303035149
        original_fun =3D 4311024738
        funcar =3D 4314501312
        numargs =3D 1
        lisp_numargs =3D 4430912
        val =3D 4300205834
        internal_args =3D 0x439c98
        i =3D 4300205827
#41 0x0000000100593cfb in Fcall_interactively (function=3D4311024738,=20
    record_flag=3D4305639474, keys=3D25784109333)
    at /usr/src/debug/emacs-24.3.90-1/src/callint.c:836
        val =3D 0
        args =3D 0x439c90
        visargs =3D 0x439c70
        specs =3D 4301908737
        filter_specs =3D 4301908737
        teml =3D 4300179210
        up_event =3D 4305639474
        enable =3D 4305639474
        speccount =3D 5
        next_event =3D 1
        prefix_arg =3D 4305639474
        string =3D 0x439cb0 "e"
        tem =3D 0x100946b5c <DEFAULT_REHASH_SIZE+20> ""
        varies =3D 0x439c50 ""
        i =3D 2
        nargs =3D 2
        mark =3D 4300303161
        arg_from_tty =3D false
        gcpro1 =3D {next =3D 0x100932525 <Sx_hide_tip+5>, var =3D 0x1000000=
0a,=20
          nvars =3D 8}
        gcpro2 =3D {next =3D 0x0, var =3D 0x100932520 <Sx_hide_tip>,=20
          nvars =3D 4431216}
        gcpro3 =3D {next =3D 0x100932520 <Sx_hide_tip>, var =3D 0xa, nvars =
=3D 2}
        gcpro4 =3D {next =3D 0x8, var =3D 0x100a2d832 <bss_sbrk_buffer+3572=
98>,=20
          nvars =3D 2}
        gcpro5 =3D {next =3D 0x439d60, var =3D 0x10059a5b4 <funcall_lambda+=
1201>,=20
          nvars =3D 6}
        key_count =3D 1
        record_then_fail =3D false
        save_this_command =3D 4311024738
        save_last_command =3D 4314187618
        save_this_original_command =3D 4311024738
        save_real_this_command =3D 4311024738
#42 0x0000000100599bb3 in Ffuncall (nargs=3D4, args=3D0x439fc8)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2822
        fun =3D 4304589709
        original_fun =3D 4305902882
        funcar =3D 4294967296
        numargs =3D 3
        lisp_numargs =3D 15028063746
        val =3D 4305639474
        internal_args =3D 0x439fd0
        i =3D 2
#43 0x00000001005dcaa2 in exec_byte_code (bytestr=3D4302634489,=20
    vector=3D4302634525, maxdepth=3D52, args_template=3D4100, nargs=3D1,=20
    args=3D0x43a560) at /usr/src/debug/emacs-24.3.90-1/src/bytecode.c:919
        targets =3D {0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0af7 <exec_byte_code+19671>,=20
          0x1005e0af9 <exec_byte_code+19673>,=20
          0x1005e0afb <exec_byte_code+19675>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0afd <exec_byte_code+19677>,=20
          0x1005e0b6e <exec_byte_code+19790>,=20
          0x1005e0be9 <exec_byte_code+19913>,=20
          0x1005dc26b <exec_byte_code+1099>,=20
          0x1005dc26d <exec_byte_code+1101>,=20
          0x1005dc26f <exec_byte_code+1103>,=20
          0x1005dc271 <exec_byte_code+1105>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc273 <exec_byte_code+1107>,=20
          0x1005dc27c <exec_byte_code+1116>,=20
          0x1005dc236 <exec_byte_code+1046>,=20
          0x1005dc778 <exec_byte_code+2392>,=20
          0x1005dc77a <exec_byte_code+2394>,=20
          0x1005dc77c <exec_byte_code+2396>,=20
          0x1005dc77e <exec_byte_code+2398>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc780 <exec_byte_code+2400>,=20
          0x1005dc7be <exec_byte_code+2462>,=20
          0x1005dc789 <exec_byte_code+2409>,=20
          0x1005dc993 <exec_byte_code+2931>,=20
          0x1005dc995 <exec_byte_code+2933>,=20
          0x1005dc997 <exec_byte_code+2935>,=20
          0x1005dc999 <exec_byte_code+2937>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc99b <exec_byte_code+2939>,=20
          0x1005dc944 <exec_byte_code+2852>,=20
          0x1005dc95e <exec_byte_code+2878>,=20
          0x1005dca63 <exec_byte_code+3139>,=20
          0x1005dca65 <exec_byte_code+3141>,=20
          0x1005dca67 <exec_byte_code+3143>,=20
          0x1005dca69 <exec_byte_code+3145>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca6b <exec_byte_code+3147>,=20
          0x1005dca14 <exec_byte_code+3060>,=20
          0x1005dca2e <exec_byte_code+3086>,=20
          0x1005dcb33 <exec_byte_code+3347>,=20
          0x1005dcb35 <exec_byte_code+3349>,=20
          0x1005dcb37 <exec_byte_code+3351>,=20
          0x1005dcb39 <exec_byte_code+3353>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcb3b <exec_byte_code+3355>,=20
          0x1005dcae4 <exec_byte_code+3268>,=20
          0x1005dcafe <exec_byte_code+3294>,=20
          0x1005dded0 <exec_byte_code+8368>,=20
          0x1005ddbd5 <exec_byte_code+7605>,=20
          0x1005ddbc9 <exec_byte_code+7593>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005de15f <exec_byte_code+9023>,=20
          0x1005de263 <exec_byte_code+9283>,=20
          0x1005de2cd <exec_byte_code+9389>,=20
          0x1005de337 <exec_byte_code+9495>,=20
          0x1005de3a5 <exec_byte_code+9605>,=20
          0x1005dc5c5 <exec_byte_code+1957>,=20
          0x1005dc64c <exec_byte_code+2092>,=20
          0x1005de428 <exec_byte_code+9736>,=20
          0x1005dc511 <exec_byte_code+1777>,=20
          0x1005dc6c3 <exec_byte_code+2211>,=20
          0x1005de499 <exec_byte_code+9849>,=20
          0x1005de510 <exec_byte_code+9968>,=20
          0x1005de564 <exec_byte_code+10052>,=20
          0x1005de5db <exec_byte_code+10171>,=20
          0x1005de639 <exec_byte_code+10265>,=20
          0x1005de728 <exec_byte_code+10504>,=20
          0x1005de77c <exec_byte_code+10588>,=20
          0x1005de7f3 <exec_byte_code+10707>,=20
          0x1005de890 <exec_byte_code+10864>,=20
          0x1005de8e4 <exec_byte_code+10948>,=20
          0x1005de938 <exec_byte_code+11032>,=20
          0x1005de9af <exec_byte_code+11151>,=20
          0x1005dea26 <exec_byte_code+11270>,=20
          0x1005dea9d <exec_byte_code+11389>,=20
          0x1005deb3a <exec_byte_code+11546>,=20
          0x1005deb98 <exec_byte_code+11640>,=20
          0x1005debf6 <exec_byte_code+11734>,=20
          0x1005dece5 <exec_byte_code+11973>,=20
          0x1005ded82 <exec_byte_code+12130>,=20
          0x1005dee1f <exec_byte_code+12287>,=20
          0x1005df0b2 <exec_byte_code+12946>,=20
          0x1005df12f <exec_byte_code+13071>,=20
          0x1005df1ac <exec_byte_code+13196>,=20
          0x1005df229 <exec_byte_code+13321>,=20
          0x1005df2a6 <exec_byte_code+13446>,=20
          0x1005df304 <exec_byte_code+13540>,=20
          0x1005df3a5 <exec_byte_code+13701>,=20
          0x1005df403 <exec_byte_code+13795>,=20
          0x1005df461 <exec_byte_code+13889>,=20
          0x1005df4bf <exec_byte_code+13983>,=20
          0x1005df5f2 <exec_byte_code+14290>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005df663 <exec_byte_code+14403>,=20
          0x1005df6b7 <exec_byte_code+14487>,=20
          0x1005df79e <exec_byte_code+14718>,=20
          0x1005df80f <exec_byte_code+14831>,=20
          0x1005df880 <exec_byte_code+14944>,=20
          0x1005df8d4 <exec_byte_code+15028>,=20
          0x1005df931 <exec_byte_code+15121>,=20
          0x1005df98e <exec_byte_code+15214>,=20
          0x1005df9f3 <exec_byte_code+15315>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfa51 <exec_byte_code+15409>,=20
          0x1005dfaa0 <exec_byte_code+15488>,=20
          0x1005dfaef <exec_byte_code+15567>,=20
          0x1005dfb3e <exec_byte_code+15646>,=20
          0x1005dfb8d <exec_byte_code+15725>,=20
          0x1005dfbdc <exec_byte_code+15804>,=20
          0x1005dda25 <exec_byte_code+7173>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dfc30 <exec_byte_code+15888>,=20
          0x1005dfc8e <exec_byte_code+15982>,=20
          0x1005dfce2 <exec_byte_code+16066>,=20
          0x1005dfd36 <exec_byte_code+16150>,=20
          0x1005dfdad <exec_byte_code+16269>,=20
          0x1005dfe24 <exec_byte_code+16388>,=20
          0x1005dfe78 <exec_byte_code+16472>,=20
          0x1005dff83 <exec_byte_code+16739>,=20
          0x1005dfffa <exec_byte_code+16858>,=20
          0x1005e0071 <exec_byte_code+16977>,=20
          0x1005e00e8 <exec_byte_code+17096>,=20
          0x1005e0137 <exec_byte_code+17175>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd941 <exec_byte_code+6945>,=20
          0x1005dcbf1 <exec_byte_code+3537>,=20
          0x1005dc384 <exec_byte_code+1380>,=20
          0x1005dcd4b <exec_byte_code+3883>,=20
          0x1005dced8 <exec_byte_code+4280>,=20
          0x1005dd059 <exec_byte_code+4665>,=20
          0x1005dd8b5 <exec_byte_code+6805>,=20
          0x1005dd901 <exec_byte_code+6881>,=20
          0x1005dc8e2 <exec_byte_code+2754>,=20
          0x1005dd9d9 <exec_byte_code+7097>,=20
          0x1005dda62 <exec_byte_code+7234>,=20
          0x1005ddafc <exec_byte_code+7388>,=20
          0x1005ddb48 <exec_byte_code+7464>,=20
          0x1005ddf20 <exec_byte_code+8448>,=20
          0x1005ddfb1 <exec_byte_code+8593>,=20
          0x1005de04e <exec_byte_code+8750>,=20
          0x1005de0ca <exec_byte_code+8874>,=20
          0x1005dcba0 <exec_byte_code+3456>,=20
          0x1005e018b <exec_byte_code+17259>,=20
          0x1005e0228 <exec_byte_code+17416>,=20
          0x1005e027c <exec_byte_code+17500>,=20
          0x1005e02d0 <exec_byte_code+17584>,=20
          0x1005e0324 <exec_byte_code+17668>,=20
          0x1005e0378 <exec_byte_code+17752>,=20
          0x1005e03ef <exec_byte_code+17871>,=20
          0x1005e0466 <exec_byte_code+17990>,=20
          0x1005e04d7 <exec_byte_code+18103>,=20
          0x1005e0548 <exec_byte_code+18216>,=20
          0x1005e0697 <exec_byte_code+18551>,=20
          0x1005e0708 <exec_byte_code+18664>,=20
          0x1005e0779 <exec_byte_code+18777>,=20
          0x1005e07cd <exec_byte_code+18861>,=20
          0x1005e083e <exec_byte_code+18974>,=20
          0x1005e08af <exec_byte_code+19087>,=20
          0x1005e090b <exec_byte_code+19179>,=20
          0x1005e0967 <exec_byte_code+19271>,=20
          0x1005df51d <exec_byte_code+14077>,=20
          0x1005df57b <exec_byte_code+14171>,=20
          0x1005e09c5 <exec_byte_code+19365>,=20
          0x1005e0a33 <exec_byte_code+19475>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005dd1da <exec_byte_code+5050>,=20
          0x1005dd307 <exec_byte_code+5351>,=20
          0x1005dd473 <exec_byte_code+5715>,=20
          0x1005dd5df <exec_byte_code+6079>,=20
          0x1005dd74a <exec_byte_code+6442>,=20
          0x1005de697 <exec_byte_code+10359>,=20
          0x1005dec54 <exec_byte_code+11828>,=20
          0x1005df70d <exec_byte_code+14573>,=20
          0x1005e0c8b <exec_byte_code+20075>,=20
          0x1005e0d09 <exec_byte_code+20201>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0dae <exec_byte_code+20366>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0a9c <exec_byte_code+19580>,=20
          0x1005e0e53 <exec_byte_code+20531> <repeats 64 times>}
        count =3D 4
        count_volatile =3D 0
        op =3D 3
        vectorp =3D 0x10074fe20 <pure+920832>
        vectorp_volatile =3D 0x43a200
        stack =3D {pc =3D 0x1008d708a <pure+2522986> "\006\006\071\203\233"=
,=20
          byte_string =3D 4302634489,=20
          byte_string_start =3D 0x1008d7016 <pure+2522870> "\306\020\211?\2=
05\f", next =3D 0x0}
        stack_volatile =3D {pc =3D 0x43a090 "", byte_string =3D 4300303253,=
=20
          byte_string_start =3D 0x1011a52a6 <bss_sbrk_buffer+8187430> "",=20
          next =3D 0x100f50462 <bss_sbrk_buffer+5742562>}
        top =3D 0x439fc8
        result =3D 4432848
        type =3D (CONDITION_CASE | unknown: 32760)
#44 0x000000010059a286 in funcall_lambda (fun=3D4302634445, nargs=3D1,=20
    arg_vector=3D0x43a558) at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2983
        val =3D 4300179242
        syms_left =3D 4100
        next =3D 4302634440
        lexenv =3D 4302634440
        count =3D 4
        i =3D 0
        optional =3D false
        rest =3D false
#45 0x0000000100599d77 in Ffuncall (nargs=3D2, args=3D0x43a550)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2864
        fun =3D 4302634445
        original_fun =3D 4305696770
        funcar =3D 575559800
        numargs =3D 1
        lisp_numargs =3D 1401891182
        val =3D 4312108109
        internal_args =3D 0x0
        i =3D 575559800
#46 0x00000001005994ca in call1 (fn=3D4305696770, arg1=3D4311024738)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:2614
        ret_ungc_val =3D 0
        gcpro1 =3D {next =3D 0x1, var =3D 0x0, nvars =3D 2}
        args =3D {4305696770, 4311024738}
#47 0x0000000100500128 in command_loop_1 ()
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:1556
        scount =3D 2
        cmd =3D 4311024738
        keybuf =3D {25781805686, 4300838268, 4, 4433424, 0, 0, 4305697730,=
=20
          25780554550, 4301713729, 4305900386, 4433600, 0, 4, 4305639474,=20
          4433632, 4300206670, 4305697730, 25780554550, 4301713729,=20
          4305900386, 4309328786, 0, 4433696, 4300206357, 25780554550,=20
          4433600, 4305890352, 4305639474, 4434688, 4434688}
        i =3D 1
        prev_modiff =3D 980
        prev_buffer =3D 0x60049ac00
        already_adjusted =3D false
#48 0x0000000100596707 in internal_condition_case (
    bfun=3D0x1004ff821 <command_loop_1>, handlers=3D4305705682,=20
    hfun=3D0x1004fef62 <cmd_error>)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:1354
        val =3D 4294967302
        c =3D 0x600070a00
#49 0x00000001004ff4e5 in command_loop_2 (ignore=3D4305639474)
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:1174
        val =3D 0
#50 0x0000000100595e81 in internal_catch (tag=3D4305695746,=20
    func=3D0x1004ff4b3 <command_loop_2>, arg=3D4305639474)
    at /usr/src/debug/emacs-24.3.90-1/src/eval.c:1118
        val =3D 4305639474
        c =3D 0x600070c00
#51 0x00000001004ff474 in command_loop ()
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:1153
No locals.
#52 0x00000001004feadf in recursive_edit_1 ()
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:777
        count =3D 1
        val =3D 4434272
#53 0x00000001004fec83 in Frecursive_edit ()
    at /usr/src/debug/emacs-24.3.90-1/src/keyboard.c:845
        count =3D 0
        buffer =3D 4305639474
#54 0x00000001004fca49 in main (argc=3D2, argv=3D0x43ab00)
    at /usr/src/debug/emacs-24.3.90-1/src/emacs.c:1646
        dummy =3D 4445248
        stack_bottom_variable =3D 0 '\000'
        do_initial_setlocale =3D true
        dumping =3D false
        skip_args =3D 0
        rlim =3D {rlim_cur =3D 4194176, rlim_max =3D 4194304}
        no_loadup =3D false
        junk =3D 0x0
        dname_arg =3D 0x0
        dname_arg2 =3D "V\252C\000\000\000\000\000am\026\200\001\000\000\00=
0<\253C\000\000\000\000\000\200\361\027\355\003\000\000\000p'\027\200\001\0=
00\000\000P\252C\000\000\000\000\000\001\000\000\000\001\000\000\000\064\33=
7C\000\000\000\000\000p\252C\000\000\000\000\000\274\033\026\200\001\000\00=
0"
        ch_to_dir =3D 0x18019600e <__ctype_load_locale+62> "\205\300x\016\2=
11\005\060k\022"
        original_pwd =3D 0x0
(gdb)=20

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D




Acknowledgement sent to Zdzislaw Meglicki <gustav@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17688; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.